function init(hero) {
    hero.setName("Wasp");
    hero.setTier(6);

	hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addPowers("pack:pym_small", "pack:wasp");
    
	   hero.addAttribute("WEAPON_DAMAGE", 2, 0);
    hero.addAttribute("PUNCH_DAMAGE", 6, 0);
    hero.addAttribute("FALL_RESISTANCE", 10.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 0.65, 1);
    hero.addAttribute("SPRINT_SPEED", 0.4, 1);
    hero.addAttribute("STEP_HEIGHT", 1.0, 1);
	
    hero.addKeyBind("AIM", "Aim Wasp Sting", 2);
    hero.addKeyBind("SIZE_MANIPULATION", "key.sizeManipulation", 1);
    
	  
    hero.setHasProperty(hasProperty);
    hero.supplyFunction("canAim", canAim);
	
    hero.setHasProperty(hasProperty);
	
	
}
function canAim(entity) {
    return entity.getHeldItem().isEmpty() && !entity.getData("fiskheroes:jetpacking");
}

function hasProperty(entity, property) {
    return property == "MASK_TOGGLE" || property == "BREATHE_SPACE" && !entity.getData("fiskheroes:mask_open");
}
